Subject: Re: bug#43909: 26.1; read syntax breaks prettify-symbols

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 10 Oct 2020 22:21:31 +0200

marmot-te <[email-masked]> writes:

> I constated that using the read syntaxe ?\“
> will interfere with any prettified symbols below it in the buffer.
>
> To reproduce :
> (setq-default prettify-symbols-alist ’((“lambda” . 955)))
> (prettify-symbols-mode 0)
> (prettify-symbols-mode 1)
> lambda
> ?\“
> lambda

I'm guessing that your mail software has destroyed the code example, and
that it was supposed to be:

(setq-default prettify-symbols-alist '(("lambda" . 955)))
(prettify-symbols-mode 0)
(prettify-symbols-mode 1)
lambda
?\"
lambda

If I try that example, though, I'm not able to reproduce the bug.  I
get:

Are you able to reproduce the bug starting from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no